using System.Text.Json;
using System.Text.Json.Serialization;

namespace File_Folder_Helper.Models;

public class AppSettings
{

    protected string _Company;
    protected string _WorkingDirectoryName;
    public string Company => _Company;
    public string WorkingDirectoryName => _WorkingDirectoryName;

    // public AppSettings()
    // {

    // }

    [JsonConstructor]
    public AppSettings(string company, string workingDirectoryName)
    {
        _Company = company;
        _WorkingDirectoryName = workingDirectoryName;
    }

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, new JsonSerializerOptions() { WriteIndented = true });
        return result;
    }

}